Subject: Re: [RFC] git-mergetool: show original branch names when possible

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Aug 2007 14:17:47 -0700

Jeff King <[email-masked]> writes:

> On Tue, Aug 21, 2007 at 04:59:43PM +0200, Jan Hudec wrote:
>
>> >   1. It does not handle pulls which have no tracking branch (the only
>> >      ref we have is FETCH_HEAD, which is not a useful name :) ).
>> 
>> If there's no useful name, than it's probably hard to do anything at all
>> about it. Though FETCH_HEAD is not all that useless -- it at least says it is
>> that that you pull.
>
> But there _is_ a useful name, it's just not a ref (it's the information
> from FETCH_HEAD "branch 'foo' of git://..."). In this case,
> git-mergetool could pull it out of FETCH_HEAD, as well, but I feel like
> we're starting to make a lot of fragile cross-tool assumptions.

Isn't the label "FETCH_HEAD" itself clear enough, without even
looking at it to see which commit it is?